### Do I need to install Canvas to use it?

If you'd like to use Canvas in your own course, or you just want try out Canvas, there is no need to do all the work of installing it yourself. [Canvas Cloud](https://canvas.instructure.com/register) is free for teachers to use. [Sign up](https://canvas.instructure.com/register) to get started.

### What open-source license is Canvas released under?

We have released Canvas under the [AGPLv3](http://www.gnu.org/licenses/agpl.html).

### Can I contribute to Canvas?

Sure! However, you will need to sign a contributor license agreement before we will pull your code into Canvas. Please see [[Contributing to Canvas]] for more details.

### What? A contributor agreement? Why?

Canvas, unlike many projects hosted by GitHub, is commercially dual-licensed. We license Canvas via the AGPLv3 to the open source community, but we also offer Canvas via a subscription to many of our clients. For this to work, Instructure needs to retain copyright over the Canvas project. The [contributor agreement](https://github.com/instructure/canvas-lms/issues/1030) is the legal step we must go through so we are able to continue to dual-license and serve our clients without fracturing the codebase.

If you want to contribute, as soon as we have a copy of [contributor agreement](https://github.com/instructure/canvas-lms/issues/1030) on file for you, we will be happy to accept your pull requests.

### Does Canvas support any extensions?

Yes! In fact, there are a number of proprietary extensions already developed for Canvas by Instructure. You are more than welcome to write your own plugins in the same vein.

If you are interested in finding out more about plugins for Canvas by Instructure, please [contact us](http://www.instructure.com/).

### Are there any code differences between the open source and hosted offerings?

Yes, there are some. Canvas runs on the exact same code as we release to GitHub, and as of this writing the code that we deploy to our production environment is pushed the same day to GitHub. [See a list of Instructure repositories and projects](https://github.com/instructure).

The plugins and extensions that we don't open source right now include:

- New Quizzes
- MasteryPaths
- Plagiarism Platform
- Proprietary SIS integrations
- Migration tools for commercial LMSs
- Chat tool
- SCORM import tool
- Catalog
- Canvas Data
- DocViewer
- New Analytics
- QR Login Code generation
- Other minor customizations that only apply to a hosted environment

### How do I get support?

See our list of resources in [[Getting Help]]. Please ask questions on [our user mailing list](http://groups.google.com/group/canvas-lms-users).
